Subject: Re: [PATCH v2 01/91] i2c: brcmstb: Allow to compile it on BCM2835

From: Wolfram Sang <[email-masked]>
Date: Fri, 24 Apr 2020 21:04:22 +0200

On Fri, Apr 24, 2020 at 10:07:25AM -0700, Florian Fainelli wrote:
> 
> 
> On 4/24/2020 9:13 AM, Wolfram Sang wrote:
> > 
> >>  config I2C_BRCMSTB
> >>  	tristate "BRCM Settop/DSL I2C controller"
> >> -	depends on ARCH_BRCMSTB || BMIPS_GENERIC || ARCH_BCM_63XX || \
> >> -		   COMPILE_TEST
> >> +	depends on ARCH_BCM2835 || ARCH_BRCMSTB || BMIPS_GENERIC || \
> >> +		   ARCH_BCM_63XX || COMPILE_TEST
> > 
> > Isn't there something like ARCH_BROADCOM which we could use here instead
> > of adding each and every SoC?
> 
> If you are worried about this list growing bigger, I do not think this
> is going to happen beyond this changeset (famous last words).

Okay, thanks for the heads up.

I wonder, then, if the description after 'tristate' is still accurate?

But that withstanding, I am fine with this patch:

Acked-by: Wolfram Sang <[email-masked]>

Let me know if I shall take this via I2C.

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel